
Application: gvSIG desktop - gvSIG bugs #2637
No se pueden cargar capas DGN
07/07/2014 01:50 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.1.0-2233-testing
Severity: Critical Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2233 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al cargar una capa DGN no hace nada.

En el log vuelca:

ERROR Thread-10 org.gvsig.andami.messages.NotificationManager - Can´t load the layer SJRGMERJ1LIE0T1.dgn.
Exception intializing 'DGN'.
Exception intializing 'DGN'.
Exception opening 'FileResource(/home/jjdelcerro/Descargas/SJRGMERJ1LIE0T1.dgn)'.
Error executing action in resource 'org.gvsig.fmap.dal.resource.file.FileResource@ec3a8b'.
The attribute debugoptions does not exist in a DynObject of the DynClass DGN
org.gvsig.fmap.mapcontext.exceptions.LoadLayerException: Can´t load the layer SJRGMERJ1LIE0T1.dgn.
    at org.gvsig.fmap.mapcontext.layers.LayerFactory.createLayer(LayerFactory.java:158)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextManager.createLayer(DefaultMapContextManager.java:571)
    at org.gvsig.app.gui.WizardPanel$1.run(WizardPanel.java:201)
    at java.lang.Thread.run(Thread.java:745)
Caused by: org.gvsig.fmap.dal.exception.InitializeException: Exception intializing 'DGN'.
    at org.gvsig.fmap.dal.impl.DefaultDataManager.createProvider(DefaultDataManager.java:749)
    at org.gvsig.fmap.dal.impl.DefaultDataManager.intializeDataStore(DefaultDataManager.java:710)
    at org.gvsig.fmap.dal.impl.DefaultDataManager.localOpenStore(DefaultDataManager.java:339)
    at org.gvsig.fmap.dal.impl.DefaultDataManager.openStore(DefaultDataManager.java:397)
    at org.gvsig.fmap.dal.impl.DefaultDataManager.createStore(DefaultDataManager.java:406)
    at org.gvsig.fmap.mapcontext.layers.LayerFactory.createLayer(LayerFactory.java:155)
    ... 3 more
Caused by: org.gvsig.fmap.dal.exception.InitializeException: Exception intializing 'DGN'.
    at org.gvsig.fmap.dal.store.dgn.DGNStoreProvider.initializeFeatureTypes(DGNStoreProvider.java:1821)
    at org.gvsig.fmap.dal.store.dgn.DGNStoreProvider.<init>(DGNStoreProvider.java:196)
    at org.gvsig.fmap.dal.store.dgn.DGNStoreProviderFactory.createProvider(DGNStoreProviderFactory.java:22)
    at org.gvsig.fmap.dal.impl.DefaultDataManager.createProvider(DefaultDataManager.java:730)
    ... 8 more
Caused by: org.gvsig.fmap.dal.exception.OpenException: Exception opening
'FileResource(/home/jjdelcerro/Descargas/SJRGMERJ1LIE0T1.dgn)'.
    at org.gvsig.fmap.dal.store.dgn.DGNStoreProvider.open(DGNStoreProvider.java:336)
    at org.gvsig.fmap.dal.store.dgn.DGNStoreProvider.initializeFeatureTypes(DGNStoreProvider.java:1819)
    ... 11 more
Caused by: Error executing action in resource 'org.gvsig.fmap.dal.resource.file.FileResource@ec3a8b'.
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:307)
    at org.gvsig.fmap.dal.store.dgn.DGNStoreProvider.open(DGNStoreProvider.java:269)
    ... 12 more
Caused by: The attribute debugoptions does not exist in a DynObject of the DynClass DGN
    at org.gvsig.tools.dynobject.impl.DefaultDynObject.getDynValue(DefaultDynObject.java:89)
    at org.gvsig.fmap.dal.spi.AbstractDataParameters.getDynValue(AbstractDataParameters.java:50)
    at org.gvsig.fmap.dal.store.dgn.DGNStoreParameters.getDebugOptions(DGNStoreParameters.java:250)
    at org.gvsig.fmap.dal.store.dgn.DGNStoreProvider.isActiveOption(DGNStoreProvider.java:255)
    at org.gvsig.fmap.dal.store.dgn.DGNStoreProvider$1.run(DGNStoreProvider.java:272)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:316)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:305)
    ... 13 more

History
#1 - 07/07/2014 02:35 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2233-testing

#2 - 07/07/2014 02:36 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 07/08/2014 04:42 AM - Álvaro Anguix
- Status changed from Fixed to Closed
